<?php
/*------------- TGM START -------------*/
require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'ruxen_register_required_plugins' );
function ruxen_register_required_plugins() {
   $plugins = array(
        array(
            'name'               => 'Contact Form 7', 
            'slug'               => 'contact-form-7', 
            'source'             => 'https://downloads.wordpress.org/plugin/contact-form-7.4.1.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'WooCommerce - excelling eCommerce', 
            'slug'               => 'woocommerce', 
            'source'             => 'https://downloads.wordpress.org/plugin/woocommerce.2.3.11.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'WP Instagram Widget', 
            'slug'               => 'wp-instagram-widget', 
            'source'             => 'https://downloads.wordpress.org/plugin/wp-instagram-widget.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'MailChimp for WordPress', 
            'slug'               => 'mailchimp-for-wp', 
            'source'             => 'https://downloads.wordpress.org/plugin/mailchimp-for-wp.2.3.7.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'Facebook Widget', 
            'slug'               => 'facebook-pagelike-widget', 
            'source'             => 'https://downloads.wordpress.org/plugin/facebook-pagelike-widget.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'The Events Calendar', 
            'slug'               => 'the-events-calendar', 
            'source'             => 'https://downloads.wordpress.org/plugin/the-events-calendar.3.11.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
		
        array(
            'name'               => 'Recent Tweets Widget', 
            'slug'               => 'recent-tweets-widget', 
            'source'             => 'https://downloads.wordpress.org/plugin/recent-tweets-widget.1.6.3.zip', 
            'required'           => true, 
            'force_activation'   => false
        ),
	
        array(
            'name'               => 'Ruxen Shortcodes', 
            'slug'               => 'ruxen-shortcodes', 
            'source'             => get_stylesheet_directory() . '/include/plugins/ruxen-shortcodes.zip',
            'required'           => true, 
            'force_activation'   => false
        ),
    );
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => __( 'Install Required Plugins', 'tgmpa' ),
            'menu_title'                      => __( 'Install Plugins', 'tgmpa' ),
            'installing'                      => __( 'Installing Plugin: %s', 'tgmpa' ), // %s = plugin name.
            'oops'                            => __( 'Something went wrong with the plugin API.', 'tgmpa' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins' ),
            'return'                          => __( 'Return to Required Plugins Installer', 'tgmpa' ),
            'plugin_activated'                => __( 'Plugin activated successfully.', 'tgmpa' ),
            'complete'                        => __( 'All plugins installed and activated successfully. %s', 'tgmpa' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
/*------------- TGM END -------------*/